<?php
if(!defined('SYS_BASE_PATH')) exit('Direct links are forbidden');

class wforum_controllers_search extends common_controller
{

function index($pars = '')
{
    $this->searchkeywords = (isset($this->request['searchkeywords'])) ? $this->request['searchkeywords'] : '';

    $model = new wforum_models_search($this->parser);

    $css = SYS_BASE_PATH.'ext/wforum/views/template/el.css';
    if(!file_exists(SYS_BASE_PATH.$css)) $css = 'main/styles/mvc_wide_tpl/el.css';
    $this->parser->addCSS(SYS_BASE_URL.$css);

    $pars = array();
    $pars['query'] = $this->searchkeywords;
    $pars['pagelen'] = 20;
    $pars['showpaginator'] = true;
    $pars['page'] = (isset($this->request['page'])) ? $this->request['page'] : 0;
    $this->modeldata = $model->getList($pars);
    $this->paginator_info = $model->paginator_info;
    $this->paginator_html = '';
    if($this->paginator_info['totalpages'] > 1)
    {
        $ppars = array('page' => $this->paginator_info['page'],
                      'numrows' => $this->paginator_info['numrows'],
                      'pagelen' => $this->paginator_info['pagelen'],
                      'url' => $this->parser->pageId,
                      'args' => 'searchkeywords='.$this->searchkeywords,
                      'onclick' => ''
        );
        $this->paginator_html = $this->parser->utils->paginator($ppars);
    }

    if($this->parser->getUserId()) $this->metatitle = $this->parser->gt('search').' | '.$this->parser->getUserName();
        else $this->metatitle = $this->parser->gt('search');
    $this->addChild('wforum/breadcrumbs');
    $this->addChild('wforum/searchform');
    $this->addChild('wforum/languages');
    $this->addChild('wforum/menu');
    $this->addChild('wforum/topmenu');
    $this->addChild('wforum/footer');
    $this->render();

}

}

?>