<?php
        // Check Rights
        if(!$parser->getUserId()) die($parser->gt('not_perms'));
        $perm = $parser->checkPerms('wforum_rights_topics');
        if(!$perm['r']) die($parser->gt('not_perms'));
        include_once(SYS_BASE_PATH.'main/classes/wajaxgrid.class.php');
        $w = new wAjaxGrid();
        $filter_creatby = (isset($_REQUEST['filter_creatby'])) ? $_REQUEST['filter_creatby'] : '';
        $filter_period = (isset($_REQUEST['filter_period'])) ? $_REQUEST['filter_period'] : 0;
        $w->f = new wforum_models_postsphoto();
        $w->edit_table_alias = 'o';
        //$w->caption = $parser->gt('wforum_posts_photo', __FILE__);
        $w->caption = $parser->utils->getFieldFromSql('SELECT name_'.$parser->lang_suff." FROM sys_objtypes WHERE objtype='wforum_posts_photo'", '');

        $w->q->select('o.id',  $parser->gt('id'));
        $w->q->select('f.name AS fname', $parser->gt('forum'));
        $w->q->select('t.name AS tname', $parser->gt('topic'));
        $w->q->from('wforum_posts_photo o');
        $w->q->from('wforum_posts p');
        $w->q->from('wforum_forums f');
        $w->q->from('wforum_topics t');
        $w->q->where("o.id<>'0'");
        $w->q->where('o.masterid=p.id');
        $w->q->where('p.forumid=f.id');
        $w->q->where('p.topicid=t.id');
        $w->q->orderby('o.id');

        $w->q->select('o.creaton', $parser->gt('createdon'));
        if($filter_period)
        {
             $per = $parser->utils->getPeriod($filter_period, true);
             $w->q->where("o.creaton ".$per);
             $w->f->extra_deleteAll_sql .= "AND (creaton ".$per.")";
        }
        if($filter_creatby)
        {
            $mfilter_creatby = $parser->utils->addQuots($filter_creatby);
            $w->q->where("o.creatby IN(".$mfilter_creatby.")");
            $w->f->extra_deleteAll_sql .= "AND creatby IN(".$mfilter_creatby.") ";
            $w->f->fields->creatby->val = $filter_creatby;
        }
        $pars = array();
        $pars['onchange'] = $w->container."_postAction('',0)";
        $pars['name'] = 'filter_period';
        $pars['val'] = $filter_period;
        $w->addCell($parser->utils->periodMenu($pars));

        $w->popup_script = true;
        $pars = array();
        $pars['onchange'] = $w->container."_postAction('',0)";
        $pars['name'] = 'filter_creatby';
        $pars['emptyval'] = 0;
        $pars['tree_btn'] = 0;
        $pars['emptyrefval'] = $parser->gt('all');
        $pars['val'] = $filter_creatby;
        $pars['objtype'] = 'sys_users';
        $w->addCell($parser->utils->finder($pars));

        $w->addSearchField('o.id', $parser->gt('name'), 'C');

        $w->editing = $perm['u'];
        $w->adding = $perm['c'];
        $w->copying = $perm['c'];
        $w->deleting = $perm['d'];
        $w->multiselect = $perm['d'];



        $w->show();
?>