<?php

include_once(SYS_BASE_PATH.'main/classes/wprototype.class.php');
class wforum_models_forums extends wPrototype
{

public function __construct($objtype = '', $id = '')
{
    $this->id = $id;
    parent::__construct('wforum_forums');
    $this->extra_deleteAll_sql = "WHERE id<>'0' ";
    $this->translateLabels();
}


protected function _onBeforeInsert()
{
    global $parser;
    $this->setFieldNewVal('creatby', $parser->getUserId());
    $this->setFieldNewVal('creaton', $parser->utils->toDate('', true));
    if(!$this->getFieldNewVal('moderator')) $this->setFieldNewVal('moderator', $parser->getUserId());
    return '';
}

protected function _onUpdate()
{

    $this->uploadAvatar('wforum_forums', $this->id);

/*
    // Update Extra fields
    $pars = array();
    $pars['table'] = 'wforum_forums_fields';
    $pars['objid'] = $this->_fields['objtype']['val'];
    $this->insertExtraFields($pars);
*/
    return '';
}

protected function _onBeforeShowForm()
{
    global $parser;
    $this->enctype="multipart/form-data";

    $sql = " AND ((objid IN(SELECT DISTINCT r.row_objid FROM sys_obj_array r
WHERE  (r.row_objtype='sys_users')
AND (r.col_objtype='sys_rights_roles')
AND (r.col_objid IN('wforum_roles_moders','wforum_roles_admins')))) OR (objid='sys_superadmin') OR (objid='".$parser->getUserId()."')) ";
    $this->setFieldAttr('moderator', 'extra_pars', $sql);

    return '';
}


public function onBeforeCopy($id = 0)
{
    parent::onBeforeCopy($id);
    $this->fields->creatby->val = 0;
    $this->fields->creatby->refval = '';
    $this->fields->creaton->val = '';
    return '';
}

public function onCopy($id = 0)
{
    //global $parser;
    // Copy subobjects from original object

    return '';
}

}

?>