<?php

    if(!isset($_REQUEST['forum'])) return;
    if(!$_REQUEST['forum']) return;

    $_SESSION['current_forum'] = $_REQUEST['forum'];
    $_SESSION['current_topic'] = 0;

    $errormessage = '';
    $forum = (isset($_REQUEST['forum'])) ? $_REQUEST['forum'] : '';
    $topicname = (isset($_REQUEST['topicname'])) ? $_REQUEST['topicname'] : '';
    $description = (isset($_REQUEST['description'])) ? $_REQUEST['description'] : '';
    $notifytopcr = (isset($_REQUEST['notifytopcr'])) ? $_REQUEST['notifytopcr'] : 0;
    $sticky = (isset($_REQUEST['sticky'])) ? $_REQUEST['sticky'] : 0;

    $action = (isset($_REQUEST['action'])) ? $_REQUEST['action'] : '';
    if(!$forum) die('');

    // Is private forum
    $userid = $parser->getUserId();
    $foruminfo = $parser->utils->getFieldsFromSql("SELECT f.isprivate, f.nonregposts, f.creatby, f.moderator
                                                         FROM wforum_forums f
                                                         WHERE (f.id=".$parser->conn->escape($forum).")
                                                         ", array(0,0,0,0), 'num');

    if(!$userid and $foruminfo[0]) $parser->redirect('login', 'loginhomeid='.$parser->pageId);
    $delete =  ($userid === $foruminfo[2]) || ($userid === $foruminfo[3]);
    if($delete and ($action === 'deletetopic'))
    {
        $topicid = (isset($_REQUEST['topicid'])) ? $_REQUEST['topicid'] : '';
        if($topicid and $userid and $forum)
        {
            $top = new wforum_models_topics();
            $top->id = $topicid;
            $errormessage = $top->delete();
        }
    }

    $parser->utils->addjq();
    $model = new wforum_models_topics();
    //$model->extendedTinymce = true;
    $model->richedit_height = 200;
    $model->addTinymceScript();
    $model->topicpage = 'wforumtopic';

    $pars = array();
    $pars['forum'] = $forum;
    $pars['pagelen'] = 20;
    $pars['showpaginator'] = true;
    $pars['page'] = (isset($_REQUEST['page'])) ? $_REQUEST['page'] : 0;

    $addform = $parser->checkPerms('wforum_rights_topics', 'c');
    if($addform)
    {
        switch($action)
        {
            case 'addtopic':
                $fmodel = new wforum_models_topics();
                $fmodel->fields->forumid->val = $forum;
                $fmodel->fields->name->val = $topicname;
                $fmodel->fields->sticky->val = $sticky;
                $fmodel->fields->notifytopcr->val = $notifytopcr;
                $errormessage = $fmodel->insert();
                if(!$errormessage)
                {
                    // Add post
                    if(trim($description))
                    {
                        $post = new wforum_models_posts();
                        $post->fields->forumid->val = $forum;
                        $post->fields->topicid->val = $fmodel->id;
                        $post->fields->description->val = $description;
                        $errormessage = $post->insert();
                        if(!$errormessage) // Bind files and photos
                        $parser->conn->Execute("UPDATE wforum_posts_photo SET masterid=".$post->id." WHERE (masterid=0) AND (creatby='".$parser->getUserId()."')");
                    }
                    $topicname = '';
                    $notifytopcr = 0;
                    $sticky = 0;
                }


            break;
        }
        $fields = array();
        $fields[] = array('topicname', $parser->gt('name'), "''");
        //$fields[] = array('description', $parser->gt('description'), "''");
        $parser->utils->formValidator('topicform', 'submitbutton', $fields);
    }


    $modeldata = $model->getTopics($pars);
    $paginator_info = $model->paginator_info;
    $paginator_html = '';
    if($paginator_info['totalpages'] > 1)
    {
        $ppars = array('page' => $paginator_info['page'],
                      'numrows' => $paginator_info['numrows'],
                      'pagelen' => $paginator_info['pagelen'],
                      'url' => $parser->pageId,
                      'args' => 'forum='.$forum,
                      'onclick' => ''
        );
        $paginator_html = $parser->utils->paginator($ppars);
    }

    // Set foto upload form
    $fotoform = '';
    $fotocnt = 0;
    if($userid)
    {
        include_once(SYS_BASE_PATH.'main/classes/wphoto.class.php');
        $foto = new wPhoto();
        //$foto->container = 'wgrid';
        $foto->objtype = 'wforum_posts';
        $foto->objid = 0;
        $foto->photoobjtype = 'wforum_posts_photo';

        $foto->adding = true;
        $foto->editing = true;
        $foto->deleting = true;

        $foto->addHidden('forum', $forum);
        $foto->addHidden('topicname', '');
        $foto->addHidden('description', '');

        $src = "
        <script type='text/javascript'>
        $(document).ready(function()
        {
            $('#uploader_submit_button').click(function() {
                try {
                    document.uploader_form.topicname.value = document.topicform.topicname.value;
                    document.uploader_form.description.value = $('#description').tinymce().getContent();
                } catch(e){}
                $('#uploader_form').submit();
            });
        });
        </script>
        ";
        $parser->addScript($src);

        $fotoform = $foto->show(false);
        $fotocnt = $parser->utils->getFieldFromSql("SELECT COUNT(*)
                            FROM wforum_posts_photo WHERE (masterid=0) AND (creatby='".$parser->getUserId()."')", 0);
    }

?>
