<?php

    if(!isset($_REQUEST['topic'])) return;
    $gotopost = (isset($_REQUEST['gotopost'])) ? $_REQUEST['gotopost'] : 0;
    if(!$_REQUEST['topic'])  die('');
    $topic = $_REQUEST['topic'];

    $action = (isset($_REQUEST['action'])) ? $_REQUEST['action'] : '';
    $errormessage = '';
    $username = (isset($_REQUEST['username'])) ? $_REQUEST['username'] : '';
    $description = (isset($_REQUEST['description'])) ? $_REQUEST['description'] : '';

    // Is private forum
    $userid = $parser->getUserId();
    $foruminfo = $parser->utils->getFieldsFromSql("SELECT f.isprivate, f.nonregposts, t.forumid, f.creatby, f.moderator
                                                         FROM wforum_forums f, wforum_topics t
                                                         WHERE (t.id=".$parser->conn->escape($topic).")
                                                         AND (t.forumid=f.id)", array(0,0,0,0,0), 'num');
    if(!$userid and $foruminfo[0]) $parser->redirect('login', 'loginhomeid='.$parser->pageId);

    $_SESSION['current_forum'] = $foruminfo[2];
    $_SESSION['current_topic'] = $topic;

    $delete =  ($userid === $foruminfo[3]) || ($userid === $foruminfo[4]);
    $postid = (isset($_REQUEST['postid'])) ? $_REQUEST['postid'] : '';
    if($delete and ($action === 'deletepost') and $postid)
    {
        $post = new wforum_models_posts();
        $post->id = $postid;
        $errormessage = $post->delete();
    }
    $addform =  $foruminfo[1] || $userid;
    if($addform)
    {
        switch($action)
        {
            case 'addpost':
                $captchastring = (isset($_REQUEST['captchastring'])) ? $_REQUEST['captchastring'] : '';
                if(isset($_SESSION['captcha']) and !$userid)
                {
                    if(($_SESSION['captcha'] !== $captchastring) or !$captchastring)
                    {
                        $errormessage = $parser->gt('wrongcaptcha');
                    }
                }

                // Add post
                if(!$errormessage)
                {
                    if(trim($description))
                    {
                        $post = new wforum_models_posts();
                        $post->fields->forumid->val = $foruminfo[2];
                        $post->fields->topicid->val = $topic;
                        $post->fields->username->val = $username;
                        $post->fields->description->val = $description;
                        $errormessage = $post->insert();
                        $_SESSION['captcha'] = '';
                        if(!$errormessage)
                        {
                            $gotopost = $post->id;
                            $description = '';
                        }
                    } else $errormessage = $parser->gt('valuereq').': '.$parser->gt('post');
                }
            break;
        }
        $fields = array();
        $fields[] = array('username', $parser->gt('firstname'), "''");
        if(!$userid) $fields[] = array('captchastring', $parser->gt('entercaptcham'), "''");
        $parser->utils->formValidator('postform', 'submitbutton', $fields);
    }
    if(!$username and $userid) $username = $parser->utils->getFieldFromSql("SELECT name_".$parser->lang_suff."
                                                                         FROM sys_objects
                                                                         WHERE objid='".$userid."'", '');

    // Count views of a topic
    if(!isset($_SESSION['wforumviewtopics'])) $_SESSION['wforumviewtopics'] = array();
    if(!in_array($_REQUEST['topic'], $_SESSION['wforumviewtopics']))
    {
        $_SESSION['wforumviewtopics'][] = $_REQUEST['topic'];
        $parser->conn->Execute("UPDATE wforum_topics SET views=views+1
                                     WHERE id=".$parser->conn->escape($topic));
    }

    $parser->utils->addjq();
    $model = new wforum_models_posts();
    $model->richedit_height = 200;
    $model->addTinymceScript();
    $model->addFancyScript();

    $src = "
    <script type='text/javascript'>
function getquote(usr)
{
    var text = '';
    if(window.getSelection)
    {
        text = window.getSelection().toString();
    } else if (document.selection && document.selection.type != 'Control')
    {
        text = document.selection.createRange().text;
    }
    if(text == '') return;
    $('#description').tinymce().execCommand('mceInsertContent',false, \"<div class='quote'><b>\" + usr +\"</b><div>\" + text + \"</div></div><p> </p>\");
}


    </script>
    ";
    $parser->addScript($src);

    $pars = array();
    $pars['topic'] = $topic;
    $pars['pagelen'] = 20;
    $pars['showpaginator'] = true;
    $pars['page'] = (isset($_REQUEST['page'])) ? $_REQUEST['page'] : 0;

    if($gotopost)
    {
        // calculate page for this post
        // number of records with this post
        $cnt = $parser->utils->getFieldFromSql("SELECT COUNT(*)
                                                      FROM wforum_posts
                                                      WHERE (topicid=".$parser->conn->escape($topic).")
                                                      AND (id>0)
                                                      AND (id<=".$gotopost.")", 0);
        $pars['page'] = ceil($cnt / $pars['pagelen']) - 1;
        if($pars['page'] < 0) $pars['page'] = 0;
    }

    $modeldata = $model->getPosts($pars);
    $paginator_info = $model->paginator_info;
    $paginator_html = '';
    if($paginator_info['totalpages'] > 1)
    {
        $ppars = array('page' => $paginator_info['page'],
                      'numrows' => $paginator_info['numrows'],
                      'pagelen' => $paginator_info['pagelen'],
                      'url' => $parser->pageId,
                      'args' => 'topic='.$topic,
                      'onclick' => ''
        );
        $paginator_html = $parser->utils->paginator($ppars);
    }

?>
