<?php if(sizeof($modeldata)) { ?>
    <table class="forumtable">
    <?php foreach($modeldata as $c) { if(!sizeof($c['forums'])) continue; ?>
        <tr>
            <td class="tdcategory" colspan="4">
                <?php print($c['name']); ?>
            </td>
        </tr>
        <?php foreach($c['forums'] as $f) { ?>
            <tr class="forumtr">
                <td class="tdava">
                    <?php if($f['avatar']) { ?>
                        <img src="<?php print($f['avatar']); ?>" title="<?php print($f['name']); ?>" />
                    <?php } ?>
                </td>
                <td class="tdname">
                    <b><a href="<?php print($f['href']); ?>"><?php print($f['name']); ?></a></b>
                    <div class="forumdescr"><?php print($f['description']); ?></div>
                </td>
                <td class="tdstat">
                    <?php print($f['posts']); ?> <?php print($parser->gt('posts')); ?><br />
                    <?php print($f['topics']); ?> <?php print($parser->gt('topics')); ?>
                </td>
                <td class="tdaction">
                    <?php if($delete) { ?>
                        <a href="<?php print($parser->makeUrl($parser->pageId, 'action=deleteforum&forumid='.$f['id']))?>" title="<?php print($parser->gt('delete')); ?>">x</a>
                    <?php } else {?>
                         
                    <?php } ?>
                </td>
            </tr>
        <?php } ?>
    <?php } ?>
    </table>
<?php } ?>

<br />

<?php if($addform) { ?>
<br>
<h4><?php print($parser->gt('addforum')); ?></h4>
<form method="POST" action="<?php print($parser->makeUrl($parser->pageId)); ?>" id="topicform" name="topicform"  onsubmit="return checkForm()">
<table width="100%" border=0  class="pageform">
    <tr>
        <td><?php print($parser->gt('name')); ?><span class="required"> *</span></td>
        <td><input id="forumname" class="input" name="forumname" tabindex="1" style="width:400px" value="<?php print($forumname); ?>" type="text"></td>
    </tr>
    <tr>
        <td valign="top"><?php print($parser->gt('description')); ?></td>
        <td>
            <textarea name="description" id="description" style="width:100%;height:100px"><?php print($description); ?></textarea>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('category')); ?></td>
        <td>
            <div id="div_addpopupboxform">
                <select size="1" id="category" name="category" style="width:200px" class="input">
                <?php foreach($categories as $cat) { ?>
                    <option <?php if($cat['sel']) print('selected'); ?> value="<?php print($cat['id']); ?>"><?php print($cat['name']); ?></option>
                <?php } ?>
                </select>
                 <a href="javascript:showhidecateg('show');"><?php print($parser->gt('addcateg')); ?></a>
                <div id="addcategpopupbox">
                    <h4><?php print($parser->gt('addcateg')); ?></h4>
                        <table border="0" cellspacing="0" cellpadding="2" width="100%">
                            <tr>
                                <td class="fieldKey"><?php print($parser->gt('name')); ?></td>
                                <td class="fieldValue"><input type="text" id="categname" name="categname" class="input" style="width:150px" /></td>
                            </tr>
                        </table>
                        <p align="center">
                            <span class="tdbLink">
                                <input onclick="addcategory()" type="button" class="button" value="<?php print($parser->gt('insert')); ?>" style="width:100px" />
                                <input onclick="showhidecateg('hide')" type="button" class="button" value="<?php print($parser->gt('cancel')); ?>" style="width:100px" />
                            </span>
                        </p>
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('moderator')); ?></td>
        <td>
            <select size="1" id="moderator" name="moderator" style="width:200px" class="input">
            <?php foreach($moderators as $cat) { ?>
                <option <?php if($cat['sel']) print('selected'); ?> value="<?php print($cat['id']); ?>"><?php print($cat['name']); ?></option>
            <?php } ?>
            </select>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('sortorder')); ?></td>
        <td><input id="sortorder" class="input" name="sortorder" style="width:200px" value="<?php print($sortorder); ?>" type="text"></td>
    </tr>
    <tr>
        <td><?php print($parser->gt('isprivate')); ?></td>
        <td>
            <select size="1" id="isprivate" name="isprivate" style="width:70px" class="input">
                <option <?php if(!$isprivate) print('selected'); ?> value="0"><?php print($parser->gt('noitisnot')); ?></option>
                <option <?php if($isprivate) print('selected'); ?> value="1"><?php print($parser->gt('yesitis')); ?></option>
            </select>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('notifycr')); ?></td>
        <td>
            <select size="1" id="notifycr" name="notifycr" style="width:70px" class="input">
                <option <?php if(!$notifycr) print('selected'); ?> value="0"><?php print($parser->gt('noitisnot')); ?></option>
                <option <?php if($notifycr) print('selected'); ?> value="1"><?php print($parser->gt('yesitis')); ?></option>
            </select>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('notifymod')); ?></td>
        <td>
            <select size="1" id="notifymod" name="notifymod" style="width:70px" class="input">
                <option <?php if(!$notifymod) print('selected'); ?> value="0"><?php print($parser->gt('noitisnot')); ?></option>
                <option <?php if($notifymod) print('selected'); ?> value="1"><?php print($parser->gt('yesitis')); ?></option>
            </select>
        </td>
    </tr>
    <tr>
        <td><?php print($parser->gt('nonregposts')); ?></td>
        <td>
            <select size="1" id="nonregposts" name="nonregposts" style="width:70px" class="input">
                <option <?php if(!$nonregposts) print('selected'); ?> value="0"><?php print($parser->gt('noitisnot')); ?></option>
                <option <?php if($nonregposts) print('selected'); ?> value="1"><?php print($parser->gt('yesitis')); ?></option>
            </select>
        </td>
    </tr>
</table>

<br />
<?php if($errormessage) { ?>
<center> <div id="msgbox"><?php print($errormessage); ?></div> </center>
<?php } ?>
<br />
<input type="submit" value="<?php print($parser->gt('insert')); ?>" id="submitbutton" class="butsubmit">
<input type="hidden" value="addforum" name="action" id="action">
</form>


<?php } ?>

<?php if(sizeof($lastposts)) { ?>

<h3><?php print($parser->gt('lastposts')); ?></h3>
    <?php foreach($lastposts as $f) {  ?>
        <div>
            <div class="searchtitle"><a href="<?php print($f['href']); ?>"><?php print($f['forumname']); ?> / <?php print($f['topicname']); ?></a></div>
            <div class="searchtime"><?php print($f['username']); ?> <?php print($f['creaton']); ?></div>
            <div class="searchcont"><?php print($f['post']); ?></div>
        </div>
    <?php } ?>

<?php } ?>
