<?php
if(!defined('SYS_BASE_PATH')) exit('Direct links are forbidden');

class wforum_controllers_myprofile extends common_controller
{

function index($pars = '')
{

    if(!$this->parser->getUserId()) $this->redirect('wforum/checkuser');

    $model = new wforum_models_myprofile($this->parser);

    $css = SYS_BASE_PATH.'ext/wforum/views/template/el.css';
    if(!file_exists(SYS_BASE_PATH.$css)) $css = 'main/styles/mvc_wide_tpl/el.css';
    $this->parser->addCSS(SYS_BASE_URL.$css);
    $this->myform = $model->getProfile();

    if($this->parser->getUserId()) $this->metatitle = $this->parser->gt('myprofile').' | '.$this->parser->getUserName();
        else $this->metatitle = $this->parser->gt('myprofile');
    $this->addChild('wforum/breadcrumbs');
    $this->addChild('wforum/searchform');
    $this->addChild('wforum/languages');
    $this->addChild('wforum/menu');
    $this->addChild('wforum/topmenu');
    $this->addChild('wforum/footer');
    $this->render();

}

}

?>