<?php
        // Check Rights
        if(!$parser->getUserId()) die($parser->gt('not_perms'));
        $perm = $parser->checkPerms('wforum_rights_forums');
        if(!$perm['r']) die($parser->gt('not_perms'));
        include_once(SYS_BASE_PATH.'main/classes/wajaxgrid.class.php');
        $w = new wAjaxGrid();
        $filter_category = (isset($_REQUEST['filter_category'])) ? $_REQUEST['filter_category'] : '';
        $filter_isprivate = (isset($_REQUEST['filter_isprivate'])) ? $_REQUEST['filter_isprivate'] : '';
        $w->f = new wforum_models_forums();
        $w->en_mainmenu = false;
        $w->edit_table_alias = 'o';
        //$w->caption = $parser->gt('wforum_forums', __FILE__);
        $w->caption = $parser->utils->getFieldFromSql('SELECT name_'.$parser->lang_suff." FROM sys_objtypes WHERE objtype='wforum_forums'", '');

        $w->q->select('o.id',  $parser->gt('id'));
        $w->q->select('o.name AS fname', $parser->gt('name'), array('edit' => $perm['u']));
        $w->q->lselect('c.name AS cname', $parser->gt('creatby'));
        $w->q->select('o.creaton',  $parser->gt('creaton'));
        $w->q->lselect('m.name AS mname', $parser->gt('moderator'));
        $w->group_col = $w->q->select('g.name AS gname', $parser->gt('parent'), array('hide' => true, 'lang' => true));
        $w->q->from('wforum_forums o');
        $w->q->from('sys_objects g');
        $w->q->from('sys_objects m');
        $w->q->from('sys_objects c');
        $w->q->where("o.id<>'0'");
        $w->q->where('g.objid=o.category');
        $w->q->where('m.objid=o.moderator');
        $w->q->where('c.objid=o.creatby');
        $w->q->lorderby('g.name');
        $w->q->orderby('o.name');

        $w->q->select('o.isprivate', $parser->gt('isprivate'));
        switch($filter_isprivate)
        {
            case 1:	 $w->q->where("o.isprivate=1");
                     $w->f->extra_deleteAll_sql .= "AND isprivate=1 ";
            break;
            case 2:	 $w->q->where("o.isprivate=0");
                     $w->f->extra_deleteAll_sql .= "AND isprivate=0 ";
            break;
        }
        if($filter_category)
        {
            $mfilter_category = $parser->utils->addQuots($filter_category);
            $w->q->where("o.category IN(".$mfilter_category.")");
            $w->f->extra_deleteAll_sql .= "AND category IN(".$mfilter_category.") ";
            $w->f->fields->category->val = $filter_category;
        }
        $pars = array();
        $pars['onchange'] = $w->container."_postAction('',0)";
        $pars['name'] = 'filter_isprivate';
        $pars['val'] = $filter_isprivate;
        $pars['options'] = array($parser->gt('all'), $parser->gt('privates'), $parser->gt('notprivates'));
        $w->addCell($parser->utils->dropdownMenu($pars));

        $w->popup_script = true;
        $pars = array();
        $pars['onchange'] = $w->container."_postAction('',0)";
        $pars['name'] = 'filter_category';
        $pars['emptyval'] = 0;
        $pars['tree_btn'] = 0;
        $pars['emptyrefval'] = $parser->gt('allcategories');
        $pars['val'] = $filter_category;
        $pars['objtype'] = 'wforum_cats';
        $w->addCell($parser->utils->finder($pars));

        $w->addSearchField('o.name', $parser->gt('name'), 'C');
        $w->addSearchField('o.description', $parser->gt('description'), 'C');
        $w->addSearchField('o.creatby', $parser->gt('creatby'), 'sys_users');
        $w->addSearchField('o.moderator', $parser->gt('moderator'), 'sys_users');
        $w->addSearchField('o.creaton', $parser->gt('creaton'), 'T');
        $w->addSearchField('o.topics', $parser->gt('topics'), 'I');
        $w->addSearchField('o.posts', $parser->gt('posts'), 'I');
        $w->addSearchField('o.notifycr', $parser->gt('notifycr'), 'L');
        $w->addSearchField('o.notifymod', $parser->gt('notifymod'), 'L');
        $w->addSearchField('o.nonregposts', $parser->gt('nonregposts'), 'L');

        $w->editing = $perm['u'];
        $w->adding = $perm['c'];
        $w->copying = $perm['c'];
        $w->deleting = $perm['d'];
        $w->multiselect = $perm['d'];


        $w->cardurl = $parser->makeUrl('wforum_forums_card');


        $w->show();
?>