<?php
        // Check Rights
        if(!$parser->getUserId()) die($parser->gt('not_perms'));
        $perm = $parser->checkPerms('0');
        if(!$perm['r']) die($parser->gt('not_perms'));

        $active_tab =  (isset($active_tab)) ? $active_tab : '0';
        $cat_id =  (isset($cat_id)) ? $cat_id : '0';
        $callbackfunc =  (isset($callbackfunc)) ? $callbackfunc : '';
        $forumid = (isset($forumid)) ? $forumid : ((isset($_REQUEST['forumid'])) ? $_REQUEST['forumid'] : 0);
        $topicid = (isset($topicid)) ? $topicid : ((isset($_REQUEST['topicid'])) ? $_REQUEST['topicid'] : 0);
        if($topicid) $forumid =  $parser->utils->getFieldFromSql('SELECT forumid FROM wforum_topics WHERE id='.$topicid, 0);

        include_once(SYS_BASE_PATH.'main/classes/wajaxgrid.class.php');
        $w = new wAjaxGrid();
        $filter_period = (isset($_REQUEST['filter_period'])) ? $_REQUEST['filter_period'] : 0;
        $w->f = new wforum_models_posts();
        $w->edit_table_alias = 'o';
        //$w->caption = $parser->gt('wforum_posts', __FILE__);
        $w->caption = $parser->utils->getFieldFromSql('SELECT name_'.$parser->lang_suff." FROM sys_objtypes WHERE objtype='wforum_posts'", '');

        $w->q->select('o.id',  $parser->gt('id'));
        $w->q->select('o.creaton', $parser->gt('createdon'));
        $w->q->select('o.username', $parser->gt('username'));
        $w->q->select('o.ip', 'IP');
        if(!$forumid) $w->q->select('f.name AS fname', $parser->gt('forum'));
        if(!$topicid) $w->q->select('t.name AS tname', $parser->gt('topic'));
        $w->q->from('wforum_posts o');
        $w->q->from('wforum_forums f');
        $w->q->from('wforum_topics t');
        $w->q->where("o.id<>'0'");
        $w->q->where('o.forumid=f.id');
        $w->q->where('o.topicid=t.id');
        $w->q->orderby('o.id');

        if($topicid)
        {
            $w->q->where("o.topicid=".$topicid);
            $w->f->extra_deleteAll_sql .= "AND topicid IN(".$topicid.") ";
            $w->f->fields->topicid->val = $topicid;
            $w->f->fields->topicid->refval = $parser->utils->getFieldFromSql('SELECT name FROM wforum_topics WHERE id='.$topicid, '');
            $w->f->fields->topicid->ro = true;
        }
        if($forumid)
        {
            $w->q->where("o.forumid=".$forumid);
            $w->f->extra_deleteAll_sql .= "AND forumid IN(".$forumid.") ";
            $w->f->fields->forumid->val = $forumid;
            $w->f->fields->forumid->refval = $parser->utils->getFieldFromSql('SELECT name FROM wforum_forums WHERE id='.$forumid, '');
            $w->f->fields->forumid->ro = true;
        }

        if($filter_period)
        {
             $per = $parser->utils->getPeriod($filter_period, true);
             $w->q->where("o.creaton ".$per);
             $w->f->extra_deleteAll_sql .= "AND (creaton ".$per.")";
        }

/*
                    $w->f->extra_deleteAll_sql .= "AND topicid='".$cat_id."' ";

                    $w->addingpars = 'topicid='.$cat_id;
*/

        $pars = array();
        $pars['onchange'] = $w->container."_postAction('',0)";
        $pars['name'] = 'filter_period';
        $pars['val'] = $filter_period;
        $w->addCell($parser->utils->periodMenu($pars));

        $w->addSearchField('o.id', $parser->gt('name'), 'C');

        $w->editing = $perm['u'];
        $w->adding = $perm['c'];
        $w->copying = $perm['c'];
        $w->deleting = $perm['d'];
        $w->multiselect = $perm['d'];
        $w->en_mainmenu = false;

        $w->addHidden('active_tab', $active_tab);
        $w->addHidden('cat_id', $cat_id);
        $w->addHidden('callbackfunc', $callbackfunc);
        $w->addHidden('forumid', $forumid);
        if(!$forumid) $w->addHidden('topicid', $topicid);

        $w->show();
?>