<?php
class wforum_models_breadcrumbs
{
protected $parser;

public function __construct($parser)
{
    $this->parser = $parser;
}

public function getCrumbs($startfrom = '0')
{
    $levels = 10;
    $res = array();
    $res[0]['id'] = $this->parser->pageId;
    $p = $this->parser->utils->getFieldsFromSql("SELECT parent, name_".$this->parser->lang_suff.", ref5 FROM sys_objects WHERE objid = '".$this->parser->pageId."'", array('0', ''), 'num');
    $res[0]['name'] = $p[1];
    $parent = $p[0];
    while($parent != $startfrom)
    {
        $p = $this->parser->utils->getFieldsFromSql("SELECT parent, name_".$this->parser->lang_suff.", ref5 FROM sys_objects WHERE objid = '".$parent."'", array('0', ''), 'num');

        $id = ($p[2]) ? $p[2] : $parent;

        $ma = explode('/', $id);
        $controller = '';
        if(sizeof($ma) >= 2)
        {
            for($i = 0; $i < sizeof($ma); $i++)
            {
                if(!$i) $controller = $ma[$i].'/controllers';
                    else $controller .= '/'.$ma[$i];
            }
            $file = SYS_BASE_PATH.'ext/'.$controller.'.php';
            if(!file_exists($file)) $id = '';
        }
        $res[] = array('id' => $id, 'name' => $p[1]);
        $parent = $p[0];
    	$levels--;
    	if(!$levels) break;
    }
    $id = $this->parser->config['start_page'];
    $res[] = array('id' => $id, 'name' =>  $this->parser->config['site_name']);
    return $res;
}

public function getForum($id = 0)
{
    $res = array();
    if(!$id) return $res;
    $name = $this->parser->utils->getFieldFromSql("SELECT name FROM wforum_forums WHERE id = ".$id, '');
    $res[] = array('id' => 'wforum/forum', 'name' =>  $name);
    $res[] = array('id' => 'wforum/index', 'name' =>  $this->parser->gt('forums'));
    $id = $this->parser->config['start_page'];
    $res[] = array('id' => $id, 'name' =>  $this->parser->config['site_name']);
    return $res;
}

public function getTopic($id = 0)
{
    $res = array();
    if(!$id) return $res;

    $p = $this->parser->utils->getFieldsFromSql("SELECT f.id, f.name as fname, t.name AS tname
                                                 FROM wforum_forums f, wforum_topics t
                                                 WHERE (t.id=".$id.")
                                                 AND (t.forumid=f.id)",
                                                 array('0', '', ''), 'num');
    $res[] = array('id' => 'wforum/topic', 'name' =>  $p[2]);
    $res[] = array('id' => 'wforum/forum', 'name' =>  $p[1], 'pars' => 'forum='.$p[0]);
    $res[] = array('id' => 'wforum/index', 'name' =>  $this->parser->gt('forums'));
    $id = $this->parser->config['start_page'];
    $res[] = array('id' => $id, 'name' =>  $this->parser->config['site_name']);
    return $res;
}

}

?>
