<?php
class wforum_models_menu
{

protected $parser;

public function __construct($parser)
{
    $this->parser = $parser;
}

public function getMenu()
{
    $m = new cMainMenu();
    $m->startId = 'wforum/home';
    $m->level = 3;
    $m->outerid = 'nav';
    $m->en_folder = false;
    $m->parentClass = 'top_parent';
    $m->parentRowTpl = 'sys_chunks_parentRow';
    return $m->show(false);
}

}

include_once(SYS_BASE_PATH.'main/classes/ulmenu.class.php');
class cMainMenu extends ulMenu
{

protected function onBeforeShowItem($row)
{
    global $parser;

    $userid = $parser->getUserId();
    switch($row['objid'])
    {
        case 'wforum/checkuser':  if($userid) return false; break;
        case 'wforum/messages':
            $n = $parser->utils->getFieldFromSql("SELECT COUNT(*) FROM sys_intmail
                                              WHERE touserid='".$userid."'
                                              AND (wasread=0)", 0);
            if(!$n) return $row;
            $row['name'] .= ' ('.$n.')';
        break;
    }
    return $row;
}

}

?>