<?php

    $_SESSION['current_forum'] = 0;
    $_SESSION['current_topic'] = 0;

    $userid = $parser->getUserId();
    $errormessage = '';
    $categories = array();
    $moderators = array();
    $forumname = (isset($_REQUEST['forumname'])) ? $_REQUEST['forumname'] : '';
    $description = (isset($_REQUEST['description'])) ? $_REQUEST['description'] : '';
    $sortorder = (isset($_REQUEST['sortorder'])) ? $_REQUEST['sortorder'] : 0;
    $category = (isset($_REQUEST['category'])) ? $_REQUEST['category'] : 0;
    $moderator = (isset($_REQUEST['moderator'])) ? $_REQUEST['moderator'] : $userid;
    $isprivate = (isset($_REQUEST['isprivate'])) ? $_REQUEST['isprivate'] : 0;
    $notifycr = (isset($_REQUEST['notifycr'])) ? $_REQUEST['notifycr'] : 0;
    $notifymod = (isset($_REQUEST['notifymod'])) ? $_REQUEST['notifymod'] : 0;
    $nonregposts = (isset($_REQUEST['nonregposts'])) ? $_REQUEST['nonregposts'] : 1;

    $action = (isset($_REQUEST['action'])) ? $_REQUEST['action'] : '';
    $perms = $parser->checkPerms('wforum_rights_forums');
    $addform = $perms['c'];
    $delete = $perms['d'];
    if($delete and ($action === 'deleteforum'))
    {
        $forumid = (isset($_REQUEST['forumid'])) ? $_REQUEST['forumid'] : '';
        if($forumid)
        {
            $top = new wforum_models_forums();
            $top->id = $forumid;
            $errormessage = $top->delete();
        }
    }

    if($addform)
    {
        switch($action)
        {
            case 'addforum':
                $fmodel = new wforum_models_forums();
                $fmodel->fields->name->val = $forumname;
                $fmodel->fields->description->val = $description;
                $fmodel->fields->sortorder->val = $sortorder;
                $fmodel->fields->category->val = $category;
                $fmodel->fields->moderator->val = $moderator;
                $fmodel->fields->isprivate->val = $isprivate;
                $fmodel->fields->notifycr->val = $notifycr;
                $fmodel->fields->notifymod->val = $notifymod;
                $fmodel->fields->nonregposts->val = $nonregposts;

                $errormessage = $fmodel->insert();
                if(!$errormessage)
                {
                    $forumname = '';
                    $description = '';
                }
            break;
            case 'addcategory':
                $categname = (isset($_REQUEST['categname'])) ? trim($_REQUEST['categname']) : '';
                include_once(SYS_BASE_PATH.'main/objects/objects.class.php');
                $fmodel = new wObjects('wforum_cats');
                $fmodel->fields->name->val = $categname;

                $errormessage = $fmodel->insert();
                if(!$errormessage) $category = $fmodel->id;
            break;
        }

        $sql = 'SELECT objid, name_'.$parser->lang_suff.
        " FROM sys_objects WHERE objtype='wforum_cats' ORDER BY name_".$parser->lang_suff;
        $rs = $parser->conn->SelectLimit($sql, 100);
        $tmp = array();
        if($rs)
        while($row = $rs->FetchRow())
            $tmp[] = array('id' => $row[0], 'name' => $row[1], 'sel' => (''.$row[0] === ''.$category));
        $categories = $tmp;
        $sql = 'SELECT objid, name_'.$parser->lang_suff.
        " FROM sys_objects WHERE objtype='sys_users'
          AND ((objid IN(SELECT DISTINCT r.row_objid FROM sys_obj_array r
          WHERE  (r.row_objtype='sys_users')
          AND (r.col_objtype='sys_rights_roles')
          AND (r.col_objid IN('wforum_roles_moders')))) OR (objid='sys_superadmin')) ORDER BY name_".$parser->lang_suff;
        $rs = $parser->conn->SelectLimit($sql, 100);
        $tmp = array();
        if($rs)
        while($row = $rs->FetchRow())
            $tmp[] = array('id' => $row[0], 'name' => $row[1], 'sel' => (''.$row[0] === ''.$moderator));

        $moderators = $tmp;
        $fields = array();
        $fields[] = array('forumname', $parser->gt('name'), "''");
        //$fields[] = array('description', $parser->gt('description'), "''");
        $parser->utils->formValidator('topicform', 'submitbutton', $fields);

        $src = "<script type=\"text/javascript\">
            function showhidecateg(showhide)
            {
                if(showhide == 'show')
                {
                    document.getElementById('addcategpopupbox').style.visibility='visible';
                }else if(showhide == 'hide')
                {
                    document.getElementById('addcategpopupbox').style.visibility='hidden';
                }
            }
            function addcategory()
            {
                if(document.topicform.categname.value == '') return;
                document.topicform.action.value = 'addcategory';
                document.topicform.submit();
            }
        </script>";
        $parser->addScript($src);
    }


    $model = new wforum_models_index($parser);
    $model->forumpage = 'wforumforum';
    $model->topicpage = 'wforumtopic';

    $modeldata = $model->getCategories();
    $lastposts = $model->getLastposts();

?>
